// 自动生成的文件，请勿修改
import { xmLocalStorage } from '@/common/services/storage-service'

const hasHomeLogo = xmLocalStorage.getItem('homeLogo')
const oldLogoTheme = document.getElementById('logo-style')
const style = document.createElement('style')
style.id = 'logo-style'
style.type = 'text/css'
style.innerText = `.title_sd-header_common{background: url(${
  hasHomeLogo
    ? 'api/oa/v1/oalogoconfig/we-open-api/downloadBackGrounImg?name=homeLogo'
    : require('@custom/images/logo.png')
}) no-repeat center center   !important}`

if (oldLogoTheme) {
  document.head.removeChild(oldLogoTheme)
}
document.head.appendChild(style)
